Issue1717491

classification
Title: os.path.islink incompletely implemented
Type: Severity: normal
Components: Library Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: pekka.klarck, pjenvey
Priority: normal Keywords:

Created on 2007-05-11.22:33:59 by pekka.klarck, last changed 2008-02-24.04:22:56 by pjenvey.

Messages
msg1588 (view) Author: Pekka Klärck (pekka.klarck) Date: 2007-05-11.22:33:59
Currently this function always returns false.

I have a patch ready but it depends on http://jython.org/patches/1716709 so I'll wait untill that one is applied before submitting it.
msg1589 (view) Author: Pekka Klärck (pekka.klarck) Date: 2007-05-14.07:27:14
Patch is up at http://jython.org/patches/1718450
msg3045 (view) Author: Philip Jenvey (pjenvey) Date: 2008-02-24.04:21:04
fixed in r4171: we now use posixpath which includes islink. islink is 
actually able to work because os.lstat was added in r4014
msg3047 (view) Author: Philip Jenvey (pjenvey) Date: 2008-02-24.04:22:56
actually islink was also added in r4014 (so this was already fixed by 
r4014).
History
Date User Action Args
2008-02-24 04:22:56pjenveysetmessages: + msg3047
2008-02-24 04:21:05pjenveysetstatus: open -> closed
resolution: fixed
messages: + msg3045
components: + Library, - None
nosy: + pjenvey
2007-05-11 22:33:59pekka.klarckcreate